/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-19
 * 描述            ：冶金规范产线表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.metallurgy.mapper.ComMscBacklogMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_BACKLOG", namespace=ComMscBacklogMapper.class)
public class ComMscBacklog extends BaseVO implements Serializable {
	/** 
	 * 冶金规范码（保存MSC和接箍KEY）
	 */ 
	@Id
	private String msc;
	public String  getMsc() {
		return this.msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/** 
	 * 全程产线号
	 */ 
	@Id
	private String msc_pline;
	public String  getMsc_pline() {
		return this.msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	/** 
	 * 全程途径码
	 */ 
	@Column
	private String whole_backlog;
	public String  getWhole_backlog() {
		return this.whole_backlog;
	}
	public void setWhole_backlog(String whole_backlog) {
		this.whole_backlog = whole_backlog;
	}

	/** 
	 * 全程途径描述
	 */ 
	@Column
	private String whole_backlog_desc;
	public String  getWhole_backlog_desc() {
		return this.whole_backlog_desc;
	}
	public void setWhole_backlog_desc(String whole_backlog_desc) {
		this.whole_backlog_desc = whole_backlog_desc;
	}

	/** 
	 * 坯料厚度下限符号
	 */ 
	@Column
	private String raw_thick_min_sign;
	public String  getRaw_thick_min_sign() {
		return this.raw_thick_min_sign;
	}
	public void setRaw_thick_min_sign(String raw_thick_min_sign) {
		this.raw_thick_min_sign = raw_thick_min_sign;
	}

	/** 
	 * 坯料厚度下限值
	 */ 
	@Column
	private Double raw_thick_min;
	public Double  getRaw_thick_min() {
		return this.raw_thick_min;
	}
	public void setRaw_thick_min(Double raw_thick_min) {
		this.raw_thick_min = raw_thick_min;
	}

	/** 
	 * 坯料厚度上限符号
	 */ 
	@Column
	private String raw_thick_max_sign;
	public String  getRaw_thick_max_sign() {
		return this.raw_thick_max_sign;
	}
	public void setRaw_thick_max_sign(String raw_thick_max_sign) {
		this.raw_thick_max_sign = raw_thick_max_sign;
	}

	/** 
	 * 坯料厚度上限值
	 */ 
	@Column
	private Double raw_thick_max;
	public Double  getRaw_thick_max() {
		return this.raw_thick_max;
	}
	public void setRaw_thick_max(Double raw_thick_max) {
		this.raw_thick_max = raw_thick_max;
	}

	/** 
	 * 坯料宽度下限符号
	 */ 
	@Column
	private String raw_width_min_sign;
	public String  getRaw_width_min_sign() {
		return this.raw_width_min_sign;
	}
	public void setRaw_width_min_sign(String raw_width_min_sign) {
		this.raw_width_min_sign = raw_width_min_sign;
	}

	/** 
	 * 坯料宽度下限
	 */ 
	@Column
	private Double raw_width_min;
	public Double  getRaw_width_min() {
		return this.raw_width_min;
	}
	public void setRaw_width_min(Double raw_width_min) {
		this.raw_width_min = raw_width_min;
	}

	/** 
	 * 坯料宽度上限符号
	 */ 
	@Column
	private String raw_width_max_sign;
	public String  getRaw_width_max_sign() {
		return this.raw_width_max_sign;
	}
	public void setRaw_width_max_sign(String raw_width_max_sign) {
		this.raw_width_max_sign = raw_width_max_sign;
	}

	/** 
	 * 坯料宽度上限
	 */ 
	@Column
	private Double raw_width_max;
	public Double  getRaw_width_max() {
		return this.raw_width_max;
	}
	public void setRaw_width_max(Double raw_width_max) {
		this.raw_width_max = raw_width_max;
	}

	/** 
	 * 厚度下限符号
	 */ 
	@Column
	private String thick_min_sign;
	public String  getThick_min_sign() {
		return this.thick_min_sign;
	}
	public void setThick_min_sign(String thick_min_sign) {
		this.thick_min_sign = thick_min_sign;
	}

	/** 
	 * 厚度下限值
	 */ 
	@Column
	private Double thick_min;
	public Double  getThick_min() {
		return this.thick_min;
	}
	public void setThick_min(Double thick_min) {
		this.thick_min = thick_min;
	}

	/** 
	 * 厚度上限符号
	 */ 
	@Column
	private String thick_max_sign;
	public String  getThick_max_sign() {
		return this.thick_max_sign;
	}
	public void setThick_max_sign(String thick_max_sign) {
		this.thick_max_sign = thick_max_sign;
	}

	/** 
	 * 厚度上限值
	 */ 
	@Column
	private Double thick_max;
	public Double  getThick_max() {
		return this.thick_max;
	}
	public void setThick_max(Double thick_max) {
		this.thick_max = thick_max;
	}

	/** 
	 * 宽度下限符号
	 */ 
	@Column
	private String width_min_sign;
	public String  getWidth_min_sign() {
		return this.width_min_sign;
	}
	public void setWidth_min_sign(String width_min_sign) {
		this.width_min_sign = width_min_sign;
	}

	/** 
	 * 宽度下限值
	 */ 
	@Column
	private Double width_min;
	public Double  getWidth_min() {
		return this.width_min;
	}
	public void setWidth_min(Double width_min) {
		this.width_min = width_min;
	}

	/** 
	 * 宽度上限符号
	 */ 
	@Column
	private String width_max_sign;
	public String  getWidth_max_sign() {
		return this.width_max_sign;
	}
	public void setWidth_max_sign(String width_max_sign) {
		this.width_max_sign = width_max_sign;
	}

	/** 
	 * 宽度上限值
	 */ 
	@Column
	private Double width_max;
	public Double  getWidth_max() {
		return this.width_max;
	}
	public void setWidth_max(Double width_max) {
		this.width_max = width_max;
	}

	/** 
	 * 长度下限符号
	 */ 
	@Column
	private String lenth_min_sign;
	public String  getLenth_min_sign() {
		return this.lenth_min_sign;
	}
	public void setLenth_min_sign(String lenth_min_sign) {
		this.lenth_min_sign = lenth_min_sign;
	}

	/** 
	 * 长度下限值
	 */ 
	@Column
	private Double lenth_min;
	public Double  getLenth_min() {
		return this.lenth_min;
	}
	public void setLenth_min(Double lenth_min) {
		this.lenth_min = lenth_min;
	}

	/** 
	 * 长度上限符号
	 */ 
	@Column
	private String lenth_max_sign;
	public String  getLenth_max_sign() {
		return this.lenth_max_sign;
	}
	public void setLenth_max_sign(String lenth_max_sign) {
		this.lenth_max_sign = lenth_max_sign;
	}

	/** 
	 * 长度上限值
	 */ 
	@Column
	private Double lenth_max;
	public Double  getLenth_max() {
		return this.lenth_max;
	}
	public void setLenth_max(Double lenth_max) {
		this.lenth_max = lenth_max;
	}

	/** 
	 * 适用交货状态代码集合(多个交货状态中间用" ,"进行隔离)
	 */ 
	@Column
	private String delivery_state_code;
	public String  getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 制程及钢种标志(3:已审核，2:提交审核，1:录入状态，0:无效)
	 */ 
	@Column
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * {老系统}冶金规范码
	 */ 
	@Column
	private String msc_old;
	public String  getMsc_old() {
		return this.msc_old;
	}
	public void setMsc_old(String msc_old) {
		this.msc_old = msc_old;
	}

	/** 
	 * {老系统}全程产线号
	 */ 
	@Column
	private String msc_pline_old;
	public String  getMsc_pline_old() {
		return this.msc_pline_old;
	}
	public void setMsc_pline_old(String msc_pline_old) {
		this.msc_pline_old = msc_pline_old;
	}

	/** 
	 * TPCO工艺单号
	 */ 
	@Column
	private String process_no;
	public String  getProcess_no() {
		return this.process_no;
	}
	public void setProcess_no(String process_no) {
		this.process_no = process_no;
	}

	/** 
	 * 内控及工艺标志(3:已审核，2:提交审核，1:录入状态，0:无效)
	 */ 
	@Column
	private String validflag_nk;
	public String  getValidflag_nk() {
		return this.validflag_nk;
	}
	public void setValidflag_nk(String validflag_nk) {
		this.validflag_nk = validflag_nk;
	}

	/** 
	 * 工艺单责任人
	 */ 
	@Column
	private String process_name;
	public String  getProcess_name() {
		return this.process_name;
	}
	public void setProcess_name(String process_name) {
		this.process_name = process_name;
	}

	/** 
	 * 工艺文件路径
	 */ 
	@Column
	private String craft_path;
	public String  getCraft_path() {
		return this.craft_path;
	}
	public void setCraft_path(String craft_path) {
		this.craft_path = craft_path;
	}

	/** 
	 * 是否自动生成工艺文件(1:是 0:否)
	 */ 
	@Column
	private String auto_craft;
	public String  getAuto_craft() {
		return this.auto_craft;
	}
	public void setAuto_craft(String auto_craft) {
		this.auto_craft = auto_craft;
	}
	
	private String process_code;
	private String process_desc;
	private String process_code_c;
	private String process_desc_c;
	private String process_point_code;
	private String process_point_desc;
	private String backlog_seq;
	private String allow_nk;
	public String getProcess_code() {
		return process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}
	public String getProcess_desc() {
		return process_desc;
	}
	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}
	public String getProcess_code_c() {
		return process_code_c;
	}
	public void setProcess_code_c(String process_code_c) {
		this.process_code_c = process_code_c;
	}
	public String getProcess_desc_c() {
		return process_desc_c;
	}
	public void setProcess_desc_c(String process_desc_c) {
		this.process_desc_c = process_desc_c;
	}
	public String getProcess_point_code() {
		return process_point_code;
	}
	public void setProcess_point_code(String process_point_code) {
		this.process_point_code = process_point_code;
	}
	public String getProcess_point_desc() {
		return process_point_desc;
	}
	public void setProcess_point_desc(String process_point_desc) {
		this.process_point_desc = process_point_desc;
	}
	public String getBacklog_seq() {
		return backlog_seq;
	}
	public void setBacklog_seq(String backlog_seq) {
		this.backlog_seq = backlog_seq;
	}
	public String getAllow_nk() {
		return allow_nk;
	}
	public void setAllow_nk(String allow_nk) {
		this.allow_nk = allow_nk;
	}
	

	
	

	private String is_stdcic;
	private String 	is_stdpic;
	private String is_stdsic;
	private String is_stddic;
	public String getIs_stdcic() {
		return is_stdcic;
	}
	public void setIs_stdcic(String is_stdcic) {
		this.is_stdcic = is_stdcic;
	}
	public String getIs_stdpic() {
		return is_stdpic;
	}
	public void setIs_stdpic(String is_stdpic) {
		this.is_stdpic = is_stdpic;
	}
	public String getIs_stdsic() {
		return is_stdsic;
	}
	public void setIs_stdsic(String is_stdsic) {
		this.is_stdsic = is_stdsic;
	}
	public String getIs_stddic() {
		return is_stddic;
	}
	public void setIs_stddic(String is_stddic) {
		this.is_stddic = is_stddic;
	}
	
	
	private String delivery_state_desc;
	public String getDelivery_state_desc() {
		return delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}
	
}
